LibreOffice: XRangeSelection Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XRangeSelection Interface Referencepublished

allows to let the user to select a cell range. More...

`import"XRangeSelection.idl";`

Inheritance diagram for XRangeSelection:

## Public Member Functions
void | startRangeSelection ([in] sequence< com::sun::star::beans::PropertyValue > aArguments)
| starts the range selection. More...
void | abortRangeSelection ()
| aborts the range selection. More...
void | addRangeSelectionListener ([in] com::sun::star::sheet::XRangeSelectionListener aListener)
| adds a listener that is notified when range selection is completed or aborted. More...
void | removeRangeSelectionListener ([in] com::sun::star::sheet::XRangeSelectionListener aListener)
| removes the specified listener. More...
void | addRangeSelectionChangeListener ([in] com::sun::star::sheet::XRangeSelectionChangeListener aListener)
| adds a listener that is notified when the selected range is changed. More...
void | removeRangeSelectionChangeListener ([in] com::sun::star::sheet::XRangeSelectionChangeListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to let the user to select a cell range.

See also
  com::sun::star::sheet::SpreadsheetView

Developers Guide
  Spreadsheets - Range Selection

## Member Function Documentation

void abortRangeSelection | ( |  | ) |

aborts the range selection.

void addRangeSelectionChangeListener | ( | [in] com::sun::star::sheet::XRangeSelectionChangeListener | aListener | ) |

adds a listener that is notified when the selected range is changed.

void addRangeSelectionListener | ( | [in] com::sun::star::sheet::XRangeSelectionListener | aListener | ) |

adds a listener that is notified when range selection is completed or aborted.

void removeRangeSelectionChangeListener | ( | [in] com::sun::star::sheet::XRangeSelectionChangeListener | aListener | ) |

removes the specified listener.

void removeRangeSelectionListener | ( | [in] com::sun::star::sheet::XRangeSelectionListener | aListener | ) |

removes the specified listener.

void startRangeSelection | ( | [in] sequence< com::sun::star::beans::PropertyValue > | aArguments | ) |

starts the range selection.

Parameters

  aArguments | the RangeSelectionArguments that specify how the range selection is done.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XRangeSelection.idl